Name:       ibus-hangul
Summary:    a Korean input method engine for IBus
Version:    1.5.5
Release:    1
License:    GPLv2+
URL:        https://github.com/libhangul/%{name}
Source0:    https://github.com/libhangul/%{name}/releases/download/%{version}/%{name}-%{version}.tar.xz

Patch001:     ibus-hangul-setup-abspath.patch

BuildRequires:  gettext-devel automake intltool libtool gnome-common python3 pkgconfig
BuildRequires:  libhangul-devel >= 0.1.0 ibus-devel >= 1.3.99 desktop-file-utils
BuildRequires:  gtk3-devel

Requires:   ibus >= 1.3.99 libhangul >= 0.1.0 python3-gobject python3

%description
The Hangul engine for IBus platform. It provides Korean input method from
libhangul.

%package_help

%prep
%autosetup -p1

%build
./autogen.sh
%configure \
	--disable-static \
	--with-python=python3
%make_build

%install
make DESTDIR=%{buildroot} install INSTALL="install -p"

%py_byte_compile %{__python3} $RPM_BUILD_ROOT%{_datadir}/ibus-hangul/setup

rm -f ${RPM_BUILD_ROOT}%{_bindir}/ibus-setup-hangul
sed -i 's!^Exec=ibus-setup-hangul!Exec=%{_libexecdir}/ibus-setup-hangul!' %{buildroot}%{_datadir}/applications/ibus-setup-hangul.desktop
desktop-file-validate %{buildroot}%{_datadir}/applications/ibus-setup-hangul.desktop

%find_lang %{name}

%check
make check \
    DISABLE_GUI_TESTS="ibus-hangul" \
    VERBOSE=1

%files -f %{name}.lang
%{_libexecdir}/ibus-setup-hangul
%{_libexecdir}/ibus-engine-hangul
%{_datadir}/icons/hicolor/*/apps/*
%{_datadir}/metainfo/*.metainfo.xml
%{_datadir}/glib-2.0/schemas/*.gschema.xml
%{_datadir}/applications/ibus-setup-hangul.desktop
%{_datadir}/ibus/component/*
%{_datadir}/%{name}

%files help
%doc README COPYING AUTHORS

%post
if [ -x %{_bindir}/ibus ];then
%{_bindir}/ibus write-cache --system &>/dev/null || :
fi

%postun
if [ -x %{_bindir}/ibus ];then
%{_bindir}/ibus write-cache --system &>/dev/null || :
fi

%changelog
* Fri Sep 01 2023 chenchen <chen_aka_jan@163.com> - 1.5.5-1
- Upgrade to version 1.5.5

* Fri Jan 17 2020 wangzhishun1<wangzhishun1@huawei.com> - 1.5.1-4
- Type:bugfix
- ID:NA
- SUG:NA
- DESC: add build requires

* Tue Nov 19 2019 caomeng<caomeng5@huawei.com> - 1.5.1-3
- Package init
